Bug 469933 - text-mode network activation dialog has incorrect focus.
text-mode network activation dialog has incorrect focus.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
NEEDSRETESTING
:
Depends On:
Blocks: F10AnacondaBlocker
  Show dependency treegraph
 
Reported: 2008-11-04 14:53 EST by James Laska
Modified: 2013-09-02 02:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-07 19:11:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (26.42 KB, image/png)
2008-11-04 14:53 EST, James Laska
no flags Details

  None (edit)
Description James Laska 2008-11-04 14:53:56 EST
Created attachment 322473 [details]
Screenshot

Description of problem:

text-mode network activation dialog has incorrect focus.  The static IP fields should not be edit-able when [*] DHCP is selected.

Version-Release number of selected component (if applicable):
anaconda-11.4.1.54-1

How reproducible:
100%

Steps to Reproduce:
1. Boot DVD into rescue-mode
2. Request to activate network
  
Actual results:

See attached graphical screenshot (or ascii art below).  

Even though [*] DHCP is selected, I can still add/modify the static IP network settings.

     ┌───────────────────┤ Enable network interface ├────────────────────┐
     │                                                                   │
     │ This requires that you have an active network connection during   │
     │ the installation process.  Please configure a network interface.  │
     │                                                                   │      
     │  [ ] eth0 - Realtek Semiconductor Co., Ltd. RTL-8139/8139C/813 ↑  │      
     │                                                                ▮  │      
     │                                                                ↓  │      
     │                                                                   │      
     │ [*] Use dynamic IP configuration (DHCP)                           │      
     │ [*] Enable IPv4 support                                           │      
     │ IPv4 Address: ____________________/____________________           │      
     │ Gateway: ____________________  Nameserver: ____________________   │      
     │             ┌────┐                          ┌──────┐              │      
     │             │ OK │                          │ Back │              │      
     │             └────┘                          └──────┘              │
     │                                                                   │
     │                                                                   │
     └───────────────────────────────────────────────────────────────────┘

Expected results:

With [*] DHCP select, the static IP text fields should not be edit-able.

Additional info:
Comment 1 David Cantrell 2008-11-04 18:21:16 EST
Durrrrhhhhh.....

diff --git a/textw/netconfig_text.py b/textw/netconfig_text.py
index 433f5d8..c5aba62 100644
--- a/textw/netconfig_text.py
+++ b/textw/netconfig_text.py
@@ -173,6 +173,7 @@ class NetworkConfiguratorText:
         # Call these functions to set initial UI state.
         self._ipv4Toggled()
         #self._ipv6Toggled()
+        self._dhcpToggled()
 
         netdevs = self.anaconda.id.network.available()
Comment 2 David Cantrell 2008-11-05 15:42:47 EST
Will be fixed in anaconda-11.4.1.56-1.
Comment 3 Jesse Keating 2008-11-07 17:50:28 EST
This will be in rawhide as of 20081108 or later.  Please re-test.
Comment 4 Jesse Keating 2008-11-07 19:11:57 EST
I spun up a tree with this anaconda, confirmed fixed.

Note You need to log in before you can comment on or make changes to this bug.